package pusher

import (
	"fmt"
	"gorm.io/driver/postgres"
	"gorm.io/gorm"
	"haitao_watcher/pkg/model"
	"haitao_watcher/pkg/options"
	"testing"
)

func TestAnPush_Push(t *testing.T) {
	var opt = &options.AnPushOption{
		Token:   "LHS13BO3FGBLGBP9MFBM53R8WV32P1",
		Channel: "06683",
	}
	pusher := NewAnPush(opt)
	err := pusher.Push("测试", "这是一个测试")
	if err != nil {
		t.Fatal(err)
	}
}

func TestMri(t *testing.T) {
	dsn := fmt.Sprintf("host=192.168.31.55 user=timerzz password=zhhg1997 dbname=kedaya port=5432 sslmode=disable TimeZone=Asia/Shanghai")
	db, _ := gorm.Open(postgres.Open(dsn), &gorm.Config{})
	err := db.AutoMigrate(&model.Pusher[options.AnPushOption]{})
	if err != nil {
		t.Fatal(err)
	}
	var opt = model.Pusher[options.AnPushOption]{}
	if err := db.Raw("select * from pusher").Scan(&opt).Error; err != nil {
		t.Fatal(err)
	}
	t.Log(opt)
}
